# cryfs-automount
CryFS is a cryptographic software for Cloud storage, it allow make encrypted volumes and uploaded to Dropbox, Drive , etc. For more info: https://www.cryfs.org/

This is a basic script to automount CryFS with various file hosting services at the same time.
It can mount existing volumes and also create new ones.
It automount the volume at every user login (~/.config/autostart/cryfs-"name".desktop).

It's has been tested with Ubuntu 16.04 and Linux Mint 17.3 Rosa (probably it works with Debian/Ubuntu based distributions that use Gnome).

* ### USAGE: cryfs-dropbox [OPTIONS] name
* NAME:
    * Set the automount name (without spaces).
    * It's usefull if you wanty to encrypt more than one file hosting service.
    * This parameter is OBLIGATORY.
* OPTIONS:
    * 	-b, --basedir basedir
        * 	Set the encrypted folder that Dropbox client are going to upload.
        * 	Default: /home/$USER/.DropboxEncrypted/Dropbox/ENCRYPTED
    * 	-m, --mountdir mountdir
        * 	Set the decrypted folder.
        * 	Default: /home/$USER/Dropbox
    * 	-v, --verbose
        * 	Set verbose mode.
        * 	Default: false
    * 	-p, --password password
        * 	Set password for CryFS encrypted volume.
        * 	If not set it'll ask iteractively.
    * 	-c, --config cryfsconfig
        * 	Set the configuration file for CryFS.
        * 	Default: basedir/cryfs.config
    * 	--not-start-at-login
        * 	Not start cryfs at login time.
        * 	Default: true
        * 	CAUTION: plain password will be saved in: ~/.config/autostart/cryfs-dropbox.desktop
    * 	--new-volume
        * 	Create a new volume.
        * 	Default: false
    * 	--blocksize
        * 	Change the ciphertext block size in bytes.
        * 	Default: 524288 (512 KB)
        * 	CryFS use by default 32KB, but a 17 GB volume can generate up to 400,000 files with this...
        * 	The Dropbox client get crazzy!
* ### Installation:
    * The scrypt has to be installed in /usr/local/bin/
    * If it's not installed, it'll try to install itselft. To installed manually as simple as:
        * sudo cp cryfs-automount /usr/local/bin/
* ### Examples:
    * To create a new volume for Dropbox:
        * First we need to install the dropbox client and configured to use ~/.EncryptedDropbox/Dropbox
        * mkdir -p ~/.EncryptedDropbox/Dropbox/ENCRYPTED ~/Dropbox
        * cryfs-automount -v -b ~/.EncryptedDropbox/Dropbox/ENCRYPTED -m ~/Dropbox --new-volume dropbox
        * Type the encryption phrase twice.
    * To mount a existing volume of Mega:
        * Mega client has to be installed and configured to use ~/.MegaEncrypted
        * mkdir -p ~/.MegaEncrypted/ENCRYPTED ~/MEGA
        * cryfs -b ~/.MegaEncrypted/ENCRYPTED -m ~/MEGA mega
        * Type the encryption phrase.
* THANKS: to Sebastian Meßmer (https://github.com/smessmer) who made CryFS.